<!DOCTYPE html>
<html>
<head>
  
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />

<script type="text/javascript" src="js/jquery.min.js"></script>
<script type="text/javascript" src="js/jquery.tablesorter.min.js"></script>
<script type="text/javascript" src="js/Chart.min.js"></script>
<script type="text/javascript" src="js/moment.min.js"></script>
<script type="text/javascript" src="js/bootstrap.min.js"></script>

<link rel="stylesheet" href="css/bootstrap.min.css" type="text/css"/>
<link rel="stylesheet" href="css/cucumber.css" type="text/css"/>
<link rel="stylesheet" href="css/font-awesome.min.css"/>
<link rel="shortcut icon" href="images/favicon.png"/>

<script type="text/javascript">
$(document).ready(function() {
    // this will tell tablesorter to try looking for the data-value attribute
    // if present, it'll sort by that instead
    // otherwise, it'll sort by the text content of the table cell
    $("#tablesorter").tablesorter({
        textAttribute: 'data-value',
        // ignores the first row of the header, the 'scenario', 'steps', since
        // sorting those doesn't make sense
        selectorHeaders: '> thead tr:not(.dont-sort) th',
        // use a stable sort
        sortStable: true
    });
});
</script>











  
<title>Cucumber Reports (no 1) - Steps Overview</title>

</head>
<body>

<nav class="navbar navbar-default navbar-fixed-top" id="navigation">
  <div class="container-fluid">
    <div class="collapse navbar-collapse">
      <p class="navbar-text navbar-left">Cucumber Report</p>
      <ul class="nav navbar-nav navbar-right">
                <li role="presentation" ><a href="overview-features.html">Features</a></li>
        <li role="presentation" ><a href="overview-tags.html">Tags</a></li>
        <li role="presentation"     class="active" ><a href="overview-steps.html">Steps</a></li>
                <li role="presentation" ><a href="overview-failures.html">Failures</a></li>
      </ul>
    </div>
  </div>
</nav>


<div class="container-fluid">
  <div class="col-md-5 col-md-offset-1">
    
<table class="table table-bordered" id="build-info">
  <thead>
    <tr>
      <th>Project</th>
              <th>Number</th>
            <th>Date</th>
    </tr>
  </thead>
  <tbody>
    <tr class="info">
      <td>Takelot_WebApp_Automation</td>
              <td>1</td>
            <td>16 Oct 2021, 13:30</td>
    </tr>
  </tbody>
</table>

  </div>
  <div class="col-md-3 col-md-offset-2">
      </div>
</div>


<div id="report-lead" class="container-fluid">
  <div class="col-md-10 col-md-offset-1">
    <h2>Steps Statistics</h2>
          <p>The following graph shows step statistics for this build. Below list is based on results.
 step does not provide information about result then is not listed below.
 Additionally @Before and @After are not counted because they are part of the scenarios, not steps.</p>
      </div>
</div>

<div class="container-fluid" id="report">
  <div class="row">
    <div class="col-md-10 col-md-offset-1">
      <table id="tablesorter" class="stats-table table-hover">

        <thead>
          <tr class="header">
            <th>Implementation</th>
            <th>Occurrences</th>
            <th>Duration</th>
            <th>Average</th>
            <th>Ratio</th>
          </tr>
        </thead>

        <tbody>
                      <tr>
              <td class="location">SearchProductAndAddToCart.click_on_Cart()</td>
              <td>1</td>
              <td class="duration" data-value="237840854">237ms</td>
              <td class="duration" data-value="237840854">237ms</td>
              <td class="passed">100.00%</td>
            </tr>
                      <tr>
              <td class="location">SearchProductAndAddToCart.click_on_Register_button()</td>
              <td>1</td>
              <td class="duration" data-value="2560015022">2s 560ms</td>
              <td class="duration" data-value="2560015022">2s 560ms</td>
              <td class="passed">100.00%</td>
            </tr>
                      <tr>
              <td class="location">SearchProductAndAddToCart.enter_user_details_to_register_a_user(DataTable)</td>
              <td>1</td>
              <td class="duration" data-value="894497903">894ms</td>
              <td class="duration" data-value="894497903">894ms</td>
              <td class="passed">100.00%</td>
            </tr>
                      <tr>
              <td class="location">SearchProductAndAddToCart.init()</td>
              <td>2</td>
              <td class="duration" data-value="26160224">026ms</td>
              <td class="duration" data-value="13080112">013ms</td>
              <td class="passed">100.00%</td>
            </tr>
                      <tr>
              <td class="location">SearchProductAndAddToCart.launch_browser_and_navigate_to_Takelot_application()</td>
              <td>2</td>
              <td class="duration" data-value="2527196226">2s 527ms</td>
              <td class="duration" data-value="1263598113">1s 263ms</td>
              <td class="passed">100.00%</td>
            </tr>
                      <tr>
              <td class="location">SearchProductAndAddToCart.navigate_to_Register_User_page()</td>
              <td>1</td>
              <td class="duration" data-value="4830795195">4s 830ms</td>
              <td class="duration" data-value="4830795195">4s 830ms</td>
              <td class="passed">100.00%</td>
            </tr>
                      <tr>
              <td class="location">SearchProductAndAddToCart.search_for_products_and_add_to_cart(DataTable)</td>
              <td>1</td>
              <td class="duration" data-value="15977623683">15s 977ms</td>
              <td class="duration" data-value="15977623683">15s 977ms</td>
              <td class="passed">100.00%</td>
            </tr>
                      <tr>
              <td class="location">SearchProductAndAddToCart.validate_successful_registration_of_user()</td>
              <td>1</td>
              <td class="duration" data-value="896514681">896ms</td>
              <td class="duration" data-value="896514681">896ms</td>
              <td class="passed">100.00%</td>
            </tr>
                      <tr>
              <td class="location">SearchProductAndAddToCart.validate_the_added_card(DataTable)</td>
              <td>1</td>
              <td class="duration" data-value="3795683078">3s 795ms</td>
              <td class="duration" data-value="3795683078">3s 795ms</td>
              <td class="passed">100.00%</td>
            </tr>
                  </tbody>

        <tfoot class="total">
          <tr>
            <td>9</td>
            <td>11</td>
            <td class="duration">31s 746ms</td>
            <td class="duration">2s 886ms</td>
            <td>Totals</td>
          </tr>
        </tfoot>

      </table>
    </div>
  </div>
</div>


<nav class="navbar navbar-default" id="footer">
  <div class="container-fluid">
    <p class="navbar-text navbar-right">
        <small>generate Cucumber HTML reports via:&nbsp;</small>
        <a class="navbar-link" href="https://github.com/jenkinsci/cucumber-reports-plugin">Jenkins Plugin</a> |
        <a class="navbar-link" href="https://github.com/damianszczepanik/cucumber-reporting">Standalone</a> |
        <a class="navbar-link" href="https://github.com/damianszczepanik/cucumber-sandwich">Sandwich</a> |
        <a class="navbar-link" href="https://github.com/damianszczepanik/maven-cucumber-reporting">Maven</a>
        &nbsp;&nbsp;
    </p>
  </div>
</nav>

</body>
</html>
